<a mat-raised-button routerLink="create">Agregar nuevo producto</a>
<table mat-table [dataSource]="products" class="mat-elevation-z8 size">
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef>ID</th>
    <td mat-cell *matCellDef="let element">{{ products.id }}</td>
  </ng-container>
  <ng-container matColumnDef="title">
    <th mat-header-cell *matHeaderCellDef>Título</th>
    <td mat-cell *matCellDef="let element">{{ products.title }}</td>
  </ng-container>
  <ng-container matColumnDef="price">
    <th mat-header-cell *matHeaderCellDef>Precio</th>
    <td mat-cell *matCellDef="let element">{{ products.price }}</td>
  </ng-container>
  <ng-container matColumnDef="actions">
    <th mat-header-cell *matHeaderCellDef>Acciones</th>
    <td mat-cell *matCellDef="let element">
      <button mat-stroked-button [routerLink]="['edit', products.id]">Editar</button>
      <button mat-icon-button color="warn" (click)="deleteProduct(products.id)">
        <mat-icon>delete</mat-icon>
      </button>
    </td>
  </ng-container>
  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
